aboutsummaryrefslogtreecommitdiff
path: root/kokoro/scripts
diff options
context:
space:
mode:
authordan sinclair <dj2@everburning.com>2018-11-15 15:23:23 -0500
committerGitHub <noreply@github.com>2018-11-15 15:23:23 -0500
commit72b70edc2c5708a6fbfe4415982b5b65b2b2903a (patch)
treec33b8bc0d1307647b7d0585a125affb9d33835be /kokoro/scripts
parent25d36450a1275625c98984219b72f9f2e35582b1 (diff)
downloadamber-72b70edc2c5708a6fbfe4415982b5b65b2b2903a.tar.gz
Missing kokoro scripts (#56)
These got missed when adding the original scripts. FIxup various build issues.
Diffstat (limited to 'kokoro/scripts')
-rw-r--r--kokoro/scripts/linux/build.sh67
-rw-r--r--kokoro/scripts/macos/build.sh51
2 files changed, 118 insertions, 0 deletions
diff --git a/kokoro/scripts/linux/build.sh b/kokoro/scripts/linux/build.sh
new file mode 100644
index 0000000..a178631
--- /dev/null
+++ b/kokoro/scripts/linux/build.sh
@@ -0,0 +1,67 @@
+#!/bin/bash
+# Copyright 2018 The Amber Authors.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+set -e # fail on error
+set -x # show commands
+
+BUILD_ROOT=$PWD
+SRC=$PWD/github/amber
+CONFIG=$1
+COMPILER=$2
+
+BUILD_TYPE="Debug"
+
+CMAKE_C_CXX_COMPILER=""
+if [ $COMPILER = "clang" ]
+then
+ sudo ln -s /usr/bin/clang-3.8 /usr/bin/clang
+ sudo ln -s /usr/bin/clang++-3.8 /usr/bin/clang++
+ CMAKE_C_CXX_COMPILER="-DCMAKE_C_COMPILER=clang -DCMAKE_CXX_COMPILER=clang++"
+fi
+
+# Possible configurations are:
+# DEBUG, RELEASE
+
+if [ $CONFIG = "RELEASE" ]
+then
+ BUILD_TYPE="RelWithDebInfo"
+fi
+
+# Get ninja
+wget -q https://github.com/ninja-build/ninja/releases/download/v1.8.2/ninja-linux.zip
+unzip -q ninja-linux.zip
+export PATH="$PWD:$PATH"
+
+cd $SRC
+./tools/git-sync-deps
+
+mkdir build && cd $SRC/build
+
+# Invoke the build.
+BUILD_SHA=${KOKORO_GITHUB_COMMIT:-$KOKORO_GITHUB_PULL_REQUEST_COMMIT}
+echo $(date): Starting build...
+cmake -GNinja -DCMAKE_BUILD_TYPE=$BUILD_TYPE $CMAKE_C_CXX_COMPILER ..
+
+echo $(date): Build everything...
+ninja
+echo $(date): Build completed.
+
+echo $(date): Starting amber_unittests...
+./amber_unittests
+echo $(date): amber_unittests completed.
+
+#echo $(date): Starting integration tests..
+#../../test/run_tests.py
+#echo $(date): integration tests completed.
diff --git a/kokoro/scripts/macos/build.sh b/kokoro/scripts/macos/build.sh
new file mode 100644
index 0000000..793dd1f
--- /dev/null
+++ b/kokoro/scripts/macos/build.sh
@@ -0,0 +1,51 @@
+#!/bin/bash
+# Copyright 2018 The Amber Authors.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+set -e # fail on error
+set -x # show commands
+
+BUILD_ROOT=$PWD
+SRC=$PWD/github/amber
+BUILD_TYPE=$1
+
+# Get ninja
+wget -q https://github.com/ninja-build/ninja/releases/download/v1.8.2/ninja-mac.zip
+unzip -q ninja-mac.zip
+chmod +x ninja
+export PATH="$PWD:$PATH"
+
+cd $SRC
+./tools/git-sync-deps
+
+mkdir build && cd $SRC/build
+
+CMAKE_C_CXX_COMPILER="-DCMAKE_C_COMPILER=clang -DCMAKE_CXX_COMPILER=clang++"
+
+# Invoke the build.
+BUILD_SHA=${KOKORO_GITHUB_COMMIT:-$KOKORO_GITHUB_PULL_REQUEST_COMMIT}
+echo $(date): Starting build...
+cmake -GNinja -DCMAKE_BUILD_TYPE=$BUILD_TYPE $CMAKE_C_CXX_COMPILER ..
+
+echo $(date): Build everything...
+ninja
+echo $(date): Build completed.
+
+echo $(date): Starting amber_unittests...
+./amber_unittests
+echo $(date): amber_unittests completed.
+
+#echo $(date): Starting integration tests..
+#../../test/run_tests.py
+#echo $(date): integration tests completed.